#include <string.h>

struct ADIdevice {
  char *id;
  int pmsize;
  int dmsize;
};

struct ADIdevice devs[] = {
        {"", 0, 0},
        {"814", 0x2000, 0xa0},
        {"842", 0xf800, 0x1000},
        {"", 0, 0}
};

int identifyDevice(char *id)
{
  int i;

  for (i = 1; devs[i].id; i++) {
    if (strncmp(id, devs[i].id, 3) == 0) {
      return i;
    }
  }
  return 0;
}


int pmsize(int idnum)
{
  return devs[idnum].pmsize;
}

int dmsize(int idnum)
{
  return devs[idnum].dmsize;
}
